      SUBROUTINE PKINT(AM1U,DPT,T1,T2,NPLK1,C)
C INTEGRAL(FROM T1 TO T2) DT EXP(-(DPT-T)/AM1U) T**N
C--- HISTORY
C 90. 1.13 CREATED
C--- INPUT
C AM1U     R      USERDEFINED EMERGENT MU.
C                 IF .GT. 0 THEN DOWN,  IF .LT. 0 THEN UPWARD.
C DPT      R      OPTICAL DEPTH FOR INTERPOLATION.
C T1       R      LOWER LIMIT OF INTEGRATION.
C T2       R      UPPER LIMIT OF INTEGRATION.
C NPLK1    I      .GE. 1
C--- OUTPUT
C C     R(NPLK1)  INTEGRATIONS
C
      DIMENSION C(*)
      EX=-DPT/AM1U
      X=1/AM1U
      C(1)=EXX(EX,T1,T2,X)
      IF(NPLK1.GE.2) THEN
        EX=(T1-DPT)/AM1U
        EX1=EXPFN(EX)
        EX=(T2-DPT)/AM1U
        EX2=EXPFN(EX)
        DO 1 N1=2,NPLK1
        EX1=T1*EX1
        EX2=T2*EX2
    1   C(N1)=AM1U*(EX2-EX1-(N1-1)*C(N1-1))
      ENDIF
      RETURN
      END
